Package com.io7m.idstore.user_client.api

# Class IdUClientException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.io7m.idstore.error_codes.IdException
com.io7m.idstore.user_client.api.IdUClientException

All Implemented Interfaces:
  `Serializable`

public final class IdUClientException extends IdException
The type of client exceptions.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdUClientException(Optional<UUID> inRequestId, IdErrorCode errorCode, String message, String inReason)`
  Construct an exception.
  `IdUClientException(Optional<UUID> inRequestId, IdErrorCode errorCode, String message, Throwable cause, String inReason)`
  Construct an exception.
  `IdUClientException(Optional<UUID> inRequestId, IdErrorCode errorCode, Throwable cause, String inReason)`
  Construct an exception.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `reason()`
  `Optional<UUID>`
  `requestId()`

  ### Methods inherited from class com.io7m.idstore.error_codes.IdException

  `errorCode`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdUClientException

    public IdUClientException(Optional<UUID> inRequestId, IdErrorCode errorCode, String message, String inReason)
    Construct an exception.
    Parameters:
      `inRequestId` - The request ID
      `errorCode` - The error code
      `message` - The message
      `inReason` - The error reason

  - ### IdUClientException

    public IdUClientException(Optional<UUID> inRequestId, IdErrorCode errorCode, String message, Throwable cause, String inReason)
    Construct an exception.
    Parameters:
      `inRequestId` - The request ID
      `errorCode` - The error code
      `message` - The message
      `cause` - The cause
      `inReason` - The error reason

  - ### IdUClientException

    public IdUClientException(Optional<UUID> inRequestId, IdErrorCode errorCode, Throwable cause, String inReason)
    Construct an exception.
    Parameters:
      `inRequestId` - The request ID
      `errorCode` - The error code
      `cause` - The cause
      `inReason` - The error reason

- ## Method Details

  - ### requestId

    public Optional<UUID> requestId()
    Returns:
      The ID associated with the request, if the server returned one

  - ### reason

    public String reason()
    Returns:
      The error reason